Browse endpoints

Validate Australian visas

POST /api/v2/dvs/visa operationId: dvs.visa

Live: https://gdapi.globaldata.net.au/api/v2/dvs/visa · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/dvs/visa

Validates an Australian visa using an individual's foreign passport against the Australian Document Verification Service (DVS).

Sandbox environment

When simulating queries in the sandbox environment, a specific set of visas will return a specific result. The response will be determined by the passport number:

DVS sandbox responses for this document

Request body

Content type application/json. The document details to validate

FieldDescription
preflight boolean

When set to true, the request will only perform a preflight check to validate the input parameters. No actual verification will be performed.

Example: false

consent boolean

The individual's consent to perform the check

Example: true

first_name string

The first name of the document holder as printed on the document

Example: John

last_name string

The last name of the document holder as printed on the document

Example: Smith

birth_date string (date)

The date of birth of the document holder

Example: 1980-01-01

passport_number string

The passport number to be validated

Example: M1234567

Responses

200

Result of the validation

application/json
FieldDescription
message string

A message indicating the result of the request. This will be Ok if the request was successful.

Example: Ok

function string

The function that was called

Example: dvs_visa

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request in the logs.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

data object

The check data

data.response_type string

The type of response

Example: VisaResponse

data.activity_id string

A reference ID for this activity. This ID can be used to track the activity in the logs.

Example: sandbox-d06ed58a-b279-4f50-9b6e-5a0a26b4e87d

data.verification_request_number string

A unique reference number for this request

Example: dec306ed-7cff-41c0-b02f-889e430f5309

data.verification_result_code string

The result of the verification

  • Y - The document is valid
  • N - The document was not matched
  • D - The document is invalid or not electronically captured
  • S - An error occurred during the check

Enum: Y, N, S, D

Example: N

data.additional_information array of objects

An array of expanded responses returned from the DVSHub or Document Issuer for N or D results

data.additional_information[].message string

A message indicating the reason for the N or D result.

Example: Travel document could not be found.

data.additional_information[].code string

A code number associated with the corresponding message.

Example: VI-001

202

A successful preflight check. A 400 will be returned if the preflight check fails.

application/json
FieldDescription
message string

A message indicating the result of the request. This will be Ok if the request was successful.

Example: Ok

function string

The function that was called

Example: dvs_aec

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request in the logs.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

data null

For preflight checks this is null

Standard error responses: 400 401 402 403 429 503 5XX See common error responses